<?php

namespace App\Modules\AppHelpers\Enums;

trait HasEnumHelpers
{
    /**
     * Get values
     *
     * @return array<int, string|int>
     */
    public static function values(): array
    {
        return array_map(fn ($case) => $case->value, static::cases());
    }
}
